Updated script to build P4 VM

Among other things, build now is not based on the upstream version of
onos-setup-p4-dev, but on the local one.

Change-Id: I270a324152a9349d6a9989aa8b5a38b45e1856d9
diff --git a/tools/dev/bin/onos-setup-p4-dev b/tools/dev/bin/onos-setup-p4-dev
index 319f93e..f0e94c9 100755
--- a/tools/dev/bin/onos-setup-p4-dev
+++ b/tools/dev/bin/onos-setup-p4-dev
@@ -1,334 +1,5 @@
 #!/usr/bin/env bash
-# -----------------------------------------------------------------------------
-# Builds and installs all tools needed for developing and testing P4 support in
-# ONOS.
-#
-# Tested on Ubuntu 14.04 and 16.04.
-#
-# Recommended minimum system requirements:
-# 4 GB of RAM
-# 2 cores
-# 8 GB free hard drive space (~4 GB to build everything)
-# -----------------------------------------------------------------------------
 
-# Exit on errors.
-set -e
+DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
 
-BUILD_DIR=~/p4tools
-BMV2_COMMIT="3f1d8d7893d7cf1657285c8aacbb4af5c6d22620"
-PI_COMMIT="0325da7746efe192935e8969fd08eed68d654c98"
-P4C_COMMIT="4c0d629ce2492294ff4108c910f8e6be44112c68"
-PROTOBUF_COMMIT="tags/v3.2.0"
-GRPC_COMMIT="tags/v1.3.2"
-LIBYANG_COMMIT="v0.14-r1"
-SYSREPO_COMMIT="v0.7.2"
-
-NUM_CORES=`grep -c ^processor /proc/cpuinfo`
-
-function do_requirements {
-    sudo apt update
-    sudo apt-get install -y --no-install-recommends \
-        autoconf \
-        automake \
-        bison \
-        build-essential \
-        cmake \
-        cpp \
-        curl \
-        flex \
-        git \
-        libavl-dev \
-        libboost-dev \
-        libboost-program-options-dev \
-        libboost-system-dev \
-        libboost-filesystem-dev \
-        libboost-thread-dev \
-        libboost-filesystem-dev \
-        libboost-program-options-dev \
-        libboost-system-dev \
-        libboost-test-dev \
-        libboost-thread-dev \
-        libc6-dev \
-        libev-dev \
-        libevent-dev \
-        libffi-dev \
-        libfl-dev \
-        libgc-dev \
-        libgc1c2 \
-        libgflags-dev \
-        libgmp-dev \
-        libgmp10 \
-        libgmpxx4ldbl \
-        libjudy-dev \
-        libpcap-dev \
-        libpcre3-dev \
-        libprotobuf-c-dev \
-        libreadline6 \
-        libreadline6-dev \
-        libssl-dev \
-        libtool \
-        make \
-        mktemp \
-        pkg-config \
-        protobuf-c-compiler \
-        python \
-        python-dev \
-        python-ipaddr \
-        python-pip \
-        python-scapy \
-        python-setuptools \
-        tcpdump \
-        wget \
-        unzip
-
-    sudo pip install setuptools cffi grpcio
-}
-
-function do_requirements_1404 {
-    sudo apt install -y python-software-properties software-properties-common
-    sudo add-apt-repository -y ppa:ubuntu-toolchain-r/test
-    sudo add-apt-repository -y ppa:george-edison55/cmake-3.x
-    sudo apt update
-    sudo apt install -y \
-        dpkg-dev \
-        g++-4.9 \
-        gcc-4.9 \
-        libboost-iostreams-dev
-
-    # Needed for p4c.
-    sudo update-alternatives --install /usr/bin/gcc gcc /usr/bin/gcc-4.9 50
-    sudo update-alternatives --install /usr/bin/g++ g++ /usr/bin/g++-4.9 50
-}
-
-function do_requirements_1604 {
-    sudo apt-get update
-    sudo apt-get install -y --no-install-recommends \
-        ca-certificates \
-        g++ \
-        libboost-iostreams1.58-dev
-}
-
-function do_protobuf {
-    cd ${BUILD_DIR}
-    if [ ! -d protobuf ]; then
-      git clone https://github.com/google/protobuf.git
-    fi
-    cd protobuf
-    git fetch
-    git checkout ${PROTOBUF_COMMIT}
-
-    export CFLAGS="-Os"
-    export CXXFLAGS="-Os"
-    export LDFLAGS="-Wl,-s"
-    ./autogen.sh
-    ./configure --prefix=/usr
-    make -j${NUM_CORES}
-    sudo make install
-    sudo ldconfig
-    unset CFLAGS CXXFLAGS LDFLAGS
-}
-
-function do_grpc {
-    cd ${BUILD_DIR}
-    if [ ! -d grpc ]; then
-      git clone https://github.com/grpc/grpc.git
-    fi
-    cd grpc
-    git fetch
-    git checkout ${GRPC_COMMIT}
-    git submodule update --init
-
-    export LDFLAGS="-Wl,-s"
-    make -j${NUM_CORES}
-    sudo make install
-    sudo ldconfig
-    unset LDFLAGS
-}
-
-function do_libyang {
-    cd ${BUILD_DIR}
-    if [ ! -d libyang ]; then
-      git clone https://github.com/CESNET/libyang.git
-    fi
-    cd libyang
-    git fetch
-    git checkout ${LIBYANG_COMMIT}
-
-    mkdir build
-    cd build
-    cmake ..
-    make -j${NUM_CORES}
-    sudo make install
-    sudo ldconfig
-}
-
-function do_sysrepo {
-    cd ${BUILD_DIR}
-    if [ ! -d sysrepo ]; then
-      git clone https://github.com/sysrepo/sysrepo.git
-    fi
-    cd sysrepo
-    git fetch
-    git checkout ${SYSREPO_COMMIT}
-
-    mkdir build
-    cd build
-    cmake -DCMAKE_BUILD_TYPE=Release -DBUILD_EXAMPLES=Off \
-        -DCALL_TARGET_BINS_DIRECTLY=Off ..
-    make -j${NUM_CORES}
-    sudo make install
-    sudo ldconfig
-}
-
-function checkout_bmv2 {
-    cd ${BUILD_DIR}
-    if [ ! -d bmv2 ]; then
-        git clone https://github.com/p4lang/behavioral-model.git bmv2
-    fi
-    cd bmv2
-    git fetch
-    git checkout ${BMV2_COMMIT}
-}
-
-function do_pi_bmv2_deps {
-    checkout_bmv2
-    # From bmv2's install_deps.sh.
-    # Nanomsg is required also by p4runtime.
-    tmpdir=`mktemp -d -p .`
-    cd ${tmpdir}
-    bash ../travis/install-thrift.sh
-    bash ../travis/install-nanomsg.sh
-    sudo ldconfig
-    bash ../travis/install-nnpy.sh
-    cd ..
-    sudo rm -rf $tmpdir
-}
-
-function do_p4runtime {
-    cd ${BUILD_DIR}
-    if [ ! -d p4runtime ]; then
-        git clone https://github.com/p4lang/PI.git p4runtime
-    fi
-    cd p4runtime
-    git fetch
-    git checkout ${PI_COMMIT}
-    git submodule update --init --recursive
-
-    ./autogen.sh
-    ./configure --with-proto --with-sysrepo 'CXXFLAGS=-O0 -g'
-    make -j${NUM_CORES}
-    sudo make install
-    sudo ldconfig
-
-    sudo sysrepo/install_yangs.sh
-}
-
-function do_bmv2 {
-    checkout_bmv2
-
-    ./autogen.sh
-    ./configure --enable-debugger --with-pi 'CXXFLAGS=-O0 -g'
-    make -j${NUM_CORES}
-    sudo make install
-    sudo ldconfig
-
-    # Simple_switch_grpc target
-    cd targets/simple_switch_grpc
-    ./autogen.sh
-    ./configure --with-sysrepo --with-thrift 'CXXFLAGS=-O0 -g'
-    make -j${NUM_CORES}
-    sudo make install
-    sudo ldconfig
-}
-
-function do_p4c {
-    cd ${BUILD_DIR}
-    if [ ! -d p4c ]; then
-        git clone https://github.com/p4lang/p4c.git
-    fi
-    cd p4c
-    git fetch
-    git checkout ${P4C_COMMIT}
-    git submodule update --init --recursive
-
-    mkdir -p build
-    cd build
-    cmake ..
-    make -j${NUM_CORES}
-    sudo make install
-    sudo ldconfig
-}
-
-function check_commit {
-    if [ ! -e $2 ]; then
-        return 0 # true
-    fi
-    if [[ $(< $2) != "$1" ]]; then
-        return 0 # true
-    fi
-    return 1 # false
-}
-
-# The following is borrowed from Mininet's util/install.sh
-function version_ge {
-    # sort -V sorts by *version number*
-    latest=`printf "$1\n$2" | sort -V | tail -1`
-    # If $1 is latest version, then $1 >= $2
-    [ "$1" == "$latest" ]
-}
-
-MUST_DO_ALL=false
-DID_REQUIREMENTS=false
-function check_and_do {
-    # Check if the latest built commit is the same we are trying to build now,
-    # or if all projects must be built. If true builds this project.
-    commit_id="$1"
-    proj_dir="$2"
-    func_name="$3"
-    simple_name="$4"
-    if ${MUST_DO_ALL} = true \
-        || check_commit ${commit_id} ${proj_dir}/.last_built_commit; then
-        echo "#"
-        echo "# Building ${simple_name} (${commit_id})"
-        echo "#"
-        # Print commands used to install to aid debugging
-        set -x
-        if ! ${DID_REQUIREMENTS} = true; then
-            do_requirements
-            # TODO consider other Linux distros; presently this script assumes
-            # that it is running on Ubuntu.
-            RELEASE=`lsb_release -rs`
-            if version_ge $RELEASE 16.04; then
-                do_requirements_1604
-            elif version_ge $RELEASE 14.04; then
-                do_requirements_1404
-            else
-                echo "Ubuntu version $RELEASE is not supported"
-                exit 1
-            fi
-            DID_REQUIREMENTS=true
-        fi
-        eval ${func_name}
-        echo ${commit_id} > ${BUILD_DIR}/${proj_dir}/.last_built_commit
-        # Build all next projects as they might depend on this one.
-        MUST_DO_ALL=true
-        # Disable printing to reduce output
-        set +x
-    else
-        echo "${proj_dir} is up to date (commit ${commit_id})"
-    fi
-}
-
-mkdir -p ${BUILD_DIR}
-cd ${BUILD_DIR}
-# In dependency order.
-check_and_do ${PROTOBUF_COMMIT} protobuf do_protobuf protobuf
-check_and_do ${GRPC_COMMIT} grpc do_grpc grpc
-check_and_do ${LIBYANG_COMMIT} libyang do_libyang libyang
-check_and_do ${SYSREPO_COMMIT} sysrepo do_sysrepo sysrepo
-check_and_do ${BMV2_COMMIT} bmv2 do_pi_bmv2_deps bmv2-deps
-check_and_do ${PI_COMMIT} p4runtime do_p4runtime p4runtime
-check_and_do ${BMV2_COMMIT} bmv2 do_bmv2 bmv2
-check_and_do ${P4C_COMMIT} p4c do_p4c p4c
-
-echo "Done!"
+bash ${DIR}/../p4vm/install-p4-tools.sh
diff --git a/tools/dev/p4vm/export-ova.sh b/tools/dev/p4vm/export-ova.sh
index 73d6ef5..7b94f23 100755
--- a/tools/dev/p4vm/export-ova.sh
+++ b/tools/dev/p4vm/export-ova.sh
@@ -15,6 +15,10 @@
     ssh -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no \
     -p ${SSH_PORT} sdn@127.0.0.1 "bash /vagrant/pre-ova-cleanup.sh"
 
+# Wait for VM to power off
+sleep 10
+
+# Make sure VM is not running
 vagrant halt
 
 sleep 5
diff --git a/tools/dev/p4vm/install-p4-tools.sh b/tools/dev/p4vm/install-p4-tools.sh
new file mode 100755
index 0000000..00f1b4b
--- /dev/null
+++ b/tools/dev/p4vm/install-p4-tools.sh
@@ -0,0 +1,334 @@
+#!/usr/bin/env bash
+# -----------------------------------------------------------------------------
+# Builds and installs all tools needed for developing and testing P4 support in
+# ONOS.
+#
+# Tested on Ubuntu 14.04 and 16.04.
+#
+# Recommended minimum system requirements:
+# 4 GB of RAM
+# 2 cores
+# 8 GB free hard drive space (~4 GB to build everything)
+# -----------------------------------------------------------------------------
+
+# Exit on errors.
+set -e
+
+BUILD_DIR=~/p4tools
+BMV2_COMMIT="3f1d8d7893d7cf1657285c8aacbb4af5c6d22620"
+PI_COMMIT="0325da7746efe192935e8969fd08eed68d654c98"
+P4C_COMMIT="4c0d629ce2492294ff4108c910f8e6be44112c68"
+PROTOBUF_COMMIT="tags/v3.2.0"
+GRPC_COMMIT="tags/v1.3.2"
+LIBYANG_COMMIT="v0.14-r1"
+SYSREPO_COMMIT="v0.7.2"
+
+NUM_CORES=`grep -c ^processor /proc/cpuinfo`
+
+function do_requirements {
+    sudo apt update
+    sudo apt-get install -y --no-install-recommends \
+        autoconf \
+        automake \
+        bison \
+        build-essential \
+        cmake \
+        cpp \
+        curl \
+        flex \
+        git \
+        libavl-dev \
+        libboost-dev \
+        libboost-program-options-dev \
+        libboost-system-dev \
+        libboost-filesystem-dev \
+        libboost-thread-dev \
+        libboost-filesystem-dev \
+        libboost-program-options-dev \
+        libboost-system-dev \
+        libboost-test-dev \
+        libboost-thread-dev \
+        libc6-dev \
+        libev-dev \
+        libevent-dev \
+        libffi-dev \
+        libfl-dev \
+        libgc-dev \
+        libgc1c2 \
+        libgflags-dev \
+        libgmp-dev \
+        libgmp10 \
+        libgmpxx4ldbl \
+        libjudy-dev \
+        libpcap-dev \
+        libpcre3-dev \
+        libprotobuf-c-dev \
+        libreadline6 \
+        libreadline6-dev \
+        libssl-dev \
+        libtool \
+        make \
+        mktemp \
+        pkg-config \
+        protobuf-c-compiler \
+        python \
+        python-dev \
+        python-ipaddr \
+        python-pip \
+        python-scapy \
+        python-setuptools \
+        tcpdump \
+        wget \
+        unzip
+
+    sudo pip install setuptools cffi grpcio
+}
+
+function do_requirements_1404 {
+    sudo apt install -y python-software-properties software-properties-common
+    sudo add-apt-repository -y ppa:ubuntu-toolchain-r/test
+    sudo add-apt-repository -y ppa:george-edison55/cmake-3.x
+    sudo apt update
+    sudo apt install -y \
+        dpkg-dev \
+        g++-4.9 \
+        gcc-4.9 \
+        libboost-iostreams-dev
+
+    # Needed for p4c.
+    sudo update-alternatives --install /usr/bin/gcc gcc /usr/bin/gcc-4.9 50
+    sudo update-alternatives --install /usr/bin/g++ g++ /usr/bin/g++-4.9 50
+}
+
+function do_requirements_1604 {
+    sudo apt-get update
+    sudo apt-get install -y --no-install-recommends \
+        ca-certificates \
+        g++ \
+        libboost-iostreams1.58-dev
+}
+
+function do_protobuf {
+    cd ${BUILD_DIR}
+    if [ ! -d protobuf ]; then
+      git clone https://github.com/google/protobuf.git
+    fi
+    cd protobuf
+    git fetch
+    git checkout ${PROTOBUF_COMMIT}
+
+    export CFLAGS="-Os"
+    export CXXFLAGS="-Os"
+    export LDFLAGS="-Wl,-s"
+    ./autogen.sh
+    ./configure --prefix=/usr
+    make -j${NUM_CORES}
+    sudo make install
+    sudo ldconfig
+    unset CFLAGS CXXFLAGS LDFLAGS
+}
+
+function do_grpc {
+    cd ${BUILD_DIR}
+    if [ ! -d grpc ]; then
+      git clone https://github.com/grpc/grpc.git
+    fi
+    cd grpc
+    git fetch
+    git checkout ${GRPC_COMMIT}
+    git submodule update --init
+
+    export LDFLAGS="-Wl,-s"
+    make -j${NUM_CORES}
+    sudo make install
+    sudo ldconfig
+    unset LDFLAGS
+}
+
+function do_libyang {
+    cd ${BUILD_DIR}
+    if [ ! -d libyang ]; then
+      git clone https://github.com/CESNET/libyang.git
+    fi
+    cd libyang
+    git fetch
+    git checkout ${LIBYANG_COMMIT}
+
+    mkdir build
+    cd build
+    cmake ..
+    make -j${NUM_CORES}
+    sudo make install
+    sudo ldconfig
+}
+
+function do_sysrepo {
+    cd ${BUILD_DIR}
+    if [ ! -d sysrepo ]; then
+      git clone https://github.com/sysrepo/sysrepo.git
+    fi
+    cd sysrepo
+    git fetch
+    git checkout ${SYSREPO_COMMIT}
+
+    mkdir build
+    cd build
+    cmake -DCMAKE_BUILD_TYPE=Release -DBUILD_EXAMPLES=Off \
+        -DCALL_TARGET_BINS_DIRECTLY=Off ..
+    make -j${NUM_CORES}
+    sudo make install
+    sudo ldconfig
+}
+
+function checkout_bmv2 {
+    cd ${BUILD_DIR}
+    if [ ! -d bmv2 ]; then
+        git clone https://github.com/p4lang/behavioral-model.git bmv2
+    fi
+    cd bmv2
+    git fetch
+    git checkout ${BMV2_COMMIT}
+}
+
+function do_pi_bmv2_deps {
+    checkout_bmv2
+    # From bmv2's install_deps.sh.
+    # Nanomsg is required also by p4runtime.
+    tmpdir=`mktemp -d -p .`
+    cd ${tmpdir}
+    bash ../travis/install-thrift.sh
+    bash ../travis/install-nanomsg.sh
+    sudo ldconfig
+    bash ../travis/install-nnpy.sh
+    cd ..
+    sudo rm -rf $tmpdir
+}
+
+function do_p4runtime {
+    cd ${BUILD_DIR}
+    if [ ! -d p4runtime ]; then
+        git clone https://github.com/p4lang/PI.git p4runtime
+    fi
+    cd p4runtime
+    git fetch
+    git checkout ${PI_COMMIT}
+    git submodule update --init --recursive
+
+    ./autogen.sh
+    ./configure --with-proto --with-sysrepo 'CXXFLAGS=-O0 -g'
+    make -j${NUM_CORES}
+    sudo make install
+    sudo ldconfig
+
+    sudo proto/sysrepo/install_yangs.sh
+}
+
+function do_bmv2 {
+    checkout_bmv2
+
+    ./autogen.sh
+    ./configure --enable-debugger --with-pi 'CXXFLAGS=-O0 -g'
+    make -j${NUM_CORES}
+    sudo make install
+    sudo ldconfig
+
+    # Simple_switch_grpc target
+    cd targets/simple_switch_grpc
+    ./autogen.sh
+    ./configure --with-sysrepo --with-thrift 'CXXFLAGS=-O0 -g'
+    make -j${NUM_CORES}
+    sudo make install
+    sudo ldconfig
+}
+
+function do_p4c {
+    cd ${BUILD_DIR}
+    if [ ! -d p4c ]; then
+        git clone https://github.com/p4lang/p4c.git
+    fi
+    cd p4c
+    git fetch
+    git checkout ${P4C_COMMIT}
+    git submodule update --init --recursive
+
+    mkdir -p build
+    cd build
+    cmake ..
+    make -j${NUM_CORES}
+    sudo make install
+    sudo ldconfig
+}
+
+function check_commit {
+    if [ ! -e $2 ]; then
+        return 0 # true
+    fi
+    if [[ $(< $2) != "$1" ]]; then
+        return 0 # true
+    fi
+    return 1 # false
+}
+
+# The following is borrowed from Mininet's util/install.sh
+function version_ge {
+    # sort -V sorts by *version number*
+    latest=`printf "$1\n$2" | sort -V | tail -1`
+    # If $1 is latest version, then $1 >= $2
+    [ "$1" == "$latest" ]
+}
+
+MUST_DO_ALL=false
+DID_REQUIREMENTS=false
+function check_and_do {
+    # Check if the latest built commit is the same we are trying to build now,
+    # or if all projects must be built. If true builds this project.
+    commit_id="$1"
+    proj_dir="$2"
+    func_name="$3"
+    simple_name="$4"
+    if ${MUST_DO_ALL} = true \
+        || check_commit ${commit_id} ${proj_dir}/.last_built_commit; then
+        echo "#"
+        echo "# Building ${simple_name} (${commit_id})"
+        echo "#"
+        # Print commands used to install to aid debugging
+        set -x
+        if ! ${DID_REQUIREMENTS} = true; then
+            do_requirements
+            # TODO consider other Linux distros; presently this script assumes
+            # that it is running on Ubuntu.
+            RELEASE=`lsb_release -rs`
+            if version_ge $RELEASE 16.04; then
+                do_requirements_1604
+            elif version_ge $RELEASE 14.04; then
+                do_requirements_1404
+            else
+                echo "Ubuntu version $RELEASE is not supported"
+                exit 1
+            fi
+            DID_REQUIREMENTS=true
+        fi
+        eval ${func_name}
+        echo ${commit_id} > ${BUILD_DIR}/${proj_dir}/.last_built_commit
+        # Build all next projects as they might depend on this one.
+        MUST_DO_ALL=true
+        # Disable printing to reduce output
+        set +x
+    else
+        echo "${proj_dir} is up to date (commit ${commit_id})"
+    fi
+}
+
+mkdir -p ${BUILD_DIR}
+cd ${BUILD_DIR}
+# In dependency order.
+check_and_do ${PROTOBUF_COMMIT} protobuf do_protobuf protobuf
+check_and_do ${GRPC_COMMIT} grpc do_grpc grpc
+check_and_do ${LIBYANG_COMMIT} libyang do_libyang libyang
+check_and_do ${SYSREPO_COMMIT} sysrepo do_sysrepo sysrepo
+check_and_do ${BMV2_COMMIT} bmv2 do_pi_bmv2_deps bmv2-deps
+check_and_do ${PI_COMMIT} p4runtime do_p4runtime p4runtime
+check_and_do ${BMV2_COMMIT} bmv2 do_bmv2 bmv2
+check_and_do ${P4C_COMMIT} p4c do_p4c p4c
+
+echo "Done!"
diff --git a/tools/dev/p4vm/pre-ova-cleanup.sh b/tools/dev/p4vm/pre-ova-cleanup.sh
index 17b15f3..3ea45e1 100755
--- a/tools/dev/p4vm/pre-ova-cleanup.sh
+++ b/tools/dev/p4vm/pre-ova-cleanup.sh
@@ -12,5 +12,9 @@
 cd ~/p4tools/bmv2/targets && make clean
 cd ~/p4tools/p4runtime && make clean
 rm -rf ~/p4tools/p4c/build
+rm -rf ~/p4tools/libyang/build
+rm -rf ~/p4tools/sysrepo/build
 
 cat /dev/null > ~/.bash_history
+
+poweroff
diff --git a/tools/dev/p4vm/upload-ova.sh b/tools/dev/p4vm/upload-ova.sh
index aaf6a1c..93d5012 100755
--- a/tools/dev/p4vm/upload-ova.sh
+++ b/tools/dev/p4vm/upload-ova.sh
@@ -1,4 +1,4 @@
 #!/usr/bin/env bash
 
-python $ONOS_ROOT/tools/build/uploadToS3.py ./onos-p4-dev.ova
+python $ONOS_ROOT/tools/build/uploadToS3.py -f onos-p4-dev.ova ./onos-p4-dev.ova
 
diff --git a/tools/dev/p4vm/user-bootstrap.sh b/tools/dev/p4vm/user-bootstrap.sh
index d8f3709..9b19f26 100755
--- a/tools/dev/p4vm/user-bootstrap.sh
+++ b/tools/dev/p4vm/user-bootstrap.sh
@@ -7,11 +7,16 @@
 
 # ONOS
 git clone https://github.com/opennetworkinglab/onos.git
-echo "export ONOS_ROOT=~/onos" >> ~/.bashrc
-echo "source ~/onos/tools/dev/bash_profile" >> ~/.bashrc
+tee -a ~/.profile <<EOF
+
+# ONOS
+export ONOS_ROOT=~/onos
+source ~/onos/tools/dev/bash_profile
+EOF
+source ~/.profile
 
 # Build and install P4 tools
-bash ~/onos/tools/dev/bin/onos-setup-p4-dev
+bash /vagrant/install-p4-tools.sh
 
 # Mininet
 git clone git://github.com/mininet/mininet ~/mininet